Bug 21899 - Update MARC21 frameworks to Update 27 (November 2018)
Summary: Update MARC21 frameworks to Update 27 (November 2018)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on: 20710
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-28 13:48 UTC by Josef Moravec
Modified: 2019-10-14 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018) (11.63 KB, patch)
2018-11-28 16:37 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018) (12.26 KB, patch)
2018-11-28 17:32 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018) (12.33 KB, patch)
2019-04-03 14:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018) (12.44 KB, patch)
2019-04-08 22:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-11-28 13:48:15 UTC

    
Comment 1 Josef Moravec 2018-11-28 13:53:23 UTC
Changes in bibliographic format:
https://www.loc.gov/marc/bibliographic/bdapndxg.html

Changes in authority format:
https://www.loc.gov/marc/authority/adapndxf.html
Comment 2 Bernardo Gonzalez Kriegel 2018-11-28 16:37:20 UTC
Created attachment 82705 [details] [review]
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018)

This bug updates MARC21 english frameworks to Update 27

Bibliographic
-------------
 * New fields 251, 341 and 532 with corresponding subfields
 * New subfields 041$p, 041$q and 041$r
 * Renamed subfield 041$j

Authorities
-----------
 * New subfield 055$2

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields
Comment 3 Bernardo Gonzalez Kriegel 2018-11-28 17:32:09 UTC
Created attachment 82706 [details] [review]
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018)

This bug updates MARC21 english frameworks to Update 27

Bibliographic
-------------
 * New fields 251, 341 and 532 with corresponding subfields
 * New subfields 041$p, 041$q and 041$r
 * Renamed subfield 041$j

Authorities
-----------
 * New subfield 055$2

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields
Comment 4 Josef Moravec 2019-04-03 14:04:10 UTC
Created attachment 87354 [details] [review]
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018)

This bug updates MARC21 english frameworks to Update 27

Bibliographic
-------------
 * New fields 251, 341 and 532 with corresponding subfields
 * New subfields 041$p, 041$q and 041$r
 * Renamed subfield 041$j

Authorities
-----------
 * New subfield 055$2

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Katrin Fischer 2019-04-08 22:27:46 UTC
Created attachment 87563 [details] [review]
Bug 21899: Update MARC21 frameworks to Update 27 (November 2018)

This bug updates MARC21 english frameworks to Update 27

Bibliographic
-------------
 * New fields 251, 341 and 532 with corresponding subfields
 * New subfields 041$p, 041$q and 041$r
 * Renamed subfield 041$j

Authorities
-----------
 * New subfield 055$2

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-04-17 12:27:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-26 13:20:15 UTC
Pushed to 18.11.x for 18.11.05
Comment 8 Lucas Gass 2019-05-10 21:08:25 UTC
not backporting enhancement to 18.05.x series